/**
 * 导入充值产品
 * 
 */
var productId = "";
var type = "";
$(document).ready(function(){
   $("#loading").ajaxStart(function(){  
       $(this).show();  
   }).ajaxComplete(function(){  
       $(this).hide();  
   });  
	$("#importProduct").click(function(){
		var fileUpload = $("#fileUpload").val();
		if(fileUpload == null || fileUpload == ""){
			layer.alert("数据导入为空,请按照模板填写资料后再导入!");
			return;
		}
//		 self.loading();//动态加载小图标
		 $.ajaxFileUpload
         (
             {
                 url: '../recharge/importProduct', //用于文件上传的服务器端请求地址
                 secureuri: false, //是否需要安全协议，一般设置为false
                 fileElementId: 'fileUpload', //文件上传域的ID
                 dataType: 'json', //返回值类型 一般设置为json
                 success: function (data, status)  //服务器成功响应处理函数
                 {
                     if (data.code == '0') {
                    	 alert(data.msg);
                    	 window.location.href="../recharge/queryProductList";
                     } else {
                    	 layer.alert(data.msg);
                     }
                 }
             }
         )
         return false;
	});
	
	//查询
	$("#btn-search").click(function(){
		$("#conditionform").submit();
	});
});

//查询产品
function findProduct(id){
	productId = id;
	$('#myModal').modal('show');
	$.ajax({
		type:'POST',
		url:'../recharge/findProduct',
		data:{"id":id},
		dataType: 'json',//返回值类型 一般设置为json
		success: function (data)  //服务器成功响应处理函数
		{
			if(data.code == '0'){
				if(data.msg.type=='0'){
					$("#myModalLabel").html("产品名称："+data.msg.productName+"流量");
					$("#u_province").val(data.msg.province);
				}
				if(data.msg.type=='1'){
					$("#myModalLabel").html("产品名称："+data.msg.productName+"元话费");
					$("#u_province").val(data.msg.province);
				}
				if(data.msg.type!='0' && data.msg.type!='1'){
					$("#l_province").html('产品业务编码');
					$("#myModalLabel").html("产品名称："+data.msg.productName);
					$("#u_province").val(data.msg.serviceCode);
				}
				type = data.msg.type;
				$("#u_carrieroperator").val(data.msg.carrieroperator);
				$("#u_upDiscount").val(data.msg.upDiscount);
				$("#u_productPrice").val(data.msg.productPrice);
				$("#u_discount").val(data.msg.discount);
				$("#u_realPrice").val(data.msg.realPrice);
				 var option = "";
				 var array = "";
				 $("#u_isEnabled").val(data.msg.isEnabled);
			}else{
				layer.alert("系统异常！");
			}
		}
	});
}

//编辑
function updateProduct(){
	var all = $("#all").val();
	if(all == 0){
		if($("#u_discount").val() == null || $("#u_discount").val() == ""){
			layer.alert("请填写产品折扣率");
			return;
		}
		if($("#u_productPrice").val() == null || $("#u_productPrice").val() == ""){
			layer.alert("请填写产品价格");
			return;
		}
		if($("#u_upDiscount").val() == null || $("#u_upDiscount").val() == ""){
			layer.alert("请填写上浮折扣率");
			return;
		}
		
		if($("#u_discount").val() >= 1 || $("#u_discount").val() <= -1){
			layer.alert("请填写正确的产品折扣率");
			return;
		}
		if($("#u_upDiscount").val() >= 1 || $("#u_upDiscount").val() <= -1){
			layer.alert("请填写正确的上浮折扣率");
			return;
		}
	}else{
		if($("#u_discount").val() == null || $("#u_discount").val() == ""){
			layer.alert("请填写产品折扣率");
			return;
		}
		if($("#u_upDiscount").val() == null || $("#u_upDiscount").val() == ""){
			layer.alert("请填写上浮折扣率");
			return;
		}
		
		if($("#u_discount").val() >= 1 || $("#u_discount").val() <= -1){
			layer.alert("请填写正确的产品折扣率");
			return;
		}
		if($("#u_upDiscount").val() >= 1 || $("#u_upDiscount").val() <= -1){
			layer.alert("请填写正确的上浮折扣率");
			return;
		}
	}
	var province = $("#u_province").val();
	var carrieroperator = $("#u_carrieroperator").val();
	var upDiscount = $("#u_upDiscount").val();
	var realPrice = $("#u_realPrice").val();
	var productPrice = $("#u_productPrice").val();
	var isEnabled = $("#u_isEnabled").val();
	var discount = $("#u_discount").val();
	$.ajax({
		type:'POST',
		url:'../recharge/updateProduct',
		data:{"id":productId,"province":province,"realPrice":realPrice,"carrieroperator":carrieroperator,"upDiscount":upDiscount,"discount":discount,"productPrice":productPrice,"isEnabled":isEnabled,"all":all,"type":type},
		dataType: 'json',//返回值类型 一般设置为json
		success: function (data)  //服务器成功响应处理函数
		{
			alert(data.msg);
			if(data.code == '0'){
				window.location.href="../recharge/queryProductList?province="+$("#province").val()+"&carrieroperator="+$("#carrieroperator").val()+"&type="+$("#type").val()+"&startTime="+$("#startTime").val()+"&endTime="+$("#endTime").val();
			}
		}
	});
}
//上架下架
function available(id,status){
	$.ajax({
		type:'POST',
		url:'../recharge/updateAvailable',
		data:{"id":id,"status":status},
		dataType: 'json',//返回值类型 一般设置为json
		success: function (data)  //服务器成功响应处理函数
		{
			alert(data.msg);
			if(data.code == '0'){
				window.location.href="../recharge/queryProductList";
			}
		}
	});
}

function allProduct(){
	var all = $("#all").val();
	if(all == 0){
		$("#d_productPrice").show();
		$("#d_realPrice").show();
		$("#d_carrieroperator").hide();
	}else{
		if(type == 0 || type == 1){
			$("#d_carrieroperator").show();
		}
		$("#d_productPrice").hide();
		$("#d_realPrice").hide();
	}
}
